/*
 Calisto (c) 1998-1999 Peter Howkins, Matthew Howkins, Simon Howkins

 $Id: colours.h,v 1.2 2000/03/07 21:03:32 peter Exp $

 $Log: colours.h,v $
 Revision 1.2  2000/03/07 21:03:32  peter
 added csvnpintf() and csnprintf()

 Revision 1.1  1999/12/21 20:27:29  peter
 Initial revision


 */
#ifndef __colours_h
#define __colours_h

#include <stdarg.h>
#include <stddef.h>

int cvsprintf(char *buf, const char *fmt, va_list ap);
int csprintf(char *buf, const char *fmt, ...);
int cvprintf(const char *fmt, va_list ap);
int cprintf(const char *fmt, ...);
void stripCodes(char *dest, const char *src);

int cvsnprintf(char *buf, size_t size, const char *fmt, va_list ap);
int csnprintf(char *buf, size_t size, const char *fmt, ...);

#endif
